Package wx :: Package lib :: Module inspection :: Class InspectionTool

[frames | no frames]

## Class InspectionTool

The InspectionTool is a singleton that manages creating and showing an InspectionFrame.

Method Summary
| `__init__(self)`
| ``Init`(self, pos, size, config, locals, app)` Init is used to set some parameters that will be used later when the inspection tool is shown.
| ``Show`(self, selectObj, refreshTree)` Creates the inspection frame if it hasn't been already, and raises it if neccessary.

Method Details

### Init(self, pos=wx.Point(-1, -1), size=wx.Size(850, 700), config=None, locals=None, app=None)

Init is used to set some parameters that will be used later when the inspection tool is shown. Suitable defaults will be used for all of these parameters if they are not provided.

  Parameters:
    `pos` - The default position to show the frame at

    `size` - The default size of the frame

    `config` - A wx.Config object to be used to store layout and other info to when the inspection frame is closed. This info will be restored the next time the inspection frame is used.

    `locals` - A dictionary of names to be added to the PyCrust namespace.

    `app` - A reference to the wx.App object.

### Show(self, selectObj=None, refreshTree=False)

Creates the inspection frame if it hasn't been already, and raises it if neccessary. Pass a widget or sizer in selectObj to have that object be preselected in widget tree. If refreshTree is True then the widget tree will be rebuilt, otherwise if the tree has already been built it will be left alone.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:37 2007 | http://epydoc.sf.net